package com.brilliance.isc.common.rmbbop.model;

import com.brilliance.isc.common.rmbbop.common.IRecgrp;
import com.brilliance.isc.common.rmbbop.entity.Tdf;
import com.brilliance.isc.common.rmbbop.entity.Tem;
import com.brilliance.isc.common.rmbbop.entity.Ten;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Setter
@Getter
@JsonIgnoreProperties(ignoreUnknown = true)
public class Tdfgrp extends AbstractCommonVo implements IRecgrp {
    private Tdf ads;
    private List<Tem> tem;
    private Ten ten;

    @Override
    public void reset() {
        super.reset();
        if (ads == null) {
            ads = new Tdf();
        }
        ads.reset();
        if (ten == null) {
            ten = new Ten();
        }
        ten.reset();
    }
}
